Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.interfaces
Interface IContentProvider

All Known Implementing Classes:
  JDTContentProvider, SimpleContentProvider

public interface IContentProvider

The implementation of this interface is responsible for returning information about the bars that appear in the VSisualiser view. The related implementation of IMarkupProvider provides the information about the colored stripes on the bars. A simple implementation is provided in SimpleContentProvider - this contains basic implementations of some of the common features of a content provider In particular, it manages groups/members automatically. Important: The lists returned from the various get methods should either be lists of classes implementing IGroup or classes implementing IMember. Simple implementations of IGroup and IMember are SimpleGroup and SimpleMember.

Method Summary
`void` | `activate()` Called when this provider is selected.
`void` | `deactivate()` Called when this provider is currently active and another provider is selected.
`java.util.List` | `getAllGroups()` Return a list of all groups that the provider knows about.
`java.util.List` | `getAllMembers()` Return a list of all members in all groups the provider knows about.
`java.util.List` | `getAllMembers(IGroup group)` Return a list of all members in a group.
`org.eclipse.jface.resource.ImageDescriptor` | `getGroupViewIcon()` Called when switching to this content provider to get the icon used in the Visualiser view for Group view.
`org.eclipse.jface.resource.ImageDescriptor` | `getMemberViewIcon()` Called when switching to this content provider to get the icon used in the Visualiser view for Member view.
`void` | `initialise()` Called on Visualiser startup, to get the provider ready.
`boolean` | `processMouseclick(IMember member, boolean markupWasClicked, int buttonClicked)` Called when the user clicks on a member in the Visualiser - the information passed is - The full name of the member, e.g.

Method Detail

### getAllGroups

    public java.util.List getAllGroups()

  Return a list of all groups that the provider knows about.

  Returns:
    List of IGroups

### getAllMembers

    public java.util.List getAllMembers(IGroup group)

  Return a list of all members in a group.

  Returns:
    List of IMembers

### getAllMembers

    public java.util.List getAllMembers()

  Return a list of all members in all groups the provider knows about.

### initialise

    public void initialise()

  Called on Visualiser startup, to get the provider ready.

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     boolean markupWasClicked,
                                     int buttonClicked)

  Called when the user clicks on a member in the Visualiser - the information passed is - The full name of the member, e.g. "ABC.B" - Whether the click was actually on a colored area (stripe) in the member - The buttons pressed (1 is LH button, 3 is RH button) The return value is whether the VSisualiser should take its normal action on this click. The normal action is that on a left hand mouse click, the visualiser subselects the clicked member (if in the group view, it swaps to a member view of the members in that group). If the right hand mouse button is clicked, it returns to the previous visualisation. Remember: The markup provider is called with a similar method 'processMouseClick()' if the boolean markupWasClicked is true. This call to the markup provider will occur regardless of whether true or false is returned here.

### getMemberViewIcon

    public org.eclipse.jface.resource.ImageDescriptor getMemberViewIcon()

  Called when switching to this content provider to get the icon used in the Visualiser view for Member view. If null is returned default icons are used.

  Returns:
    image to be used as member view icon

### getGroupViewIcon

    public org.eclipse.jface.resource.ImageDescriptor getGroupViewIcon()

  Called when switching to this content provider to get the icon used in the Visualiser view for Group view. If null is returned default icons are used.

  Returns:
    image to be used as group view icon, or null if default is required

### activate

    public void activate()

  Called when this provider is selected.

### deactivate

    public void deactivate()

  Called when this provider is currently active and another provider is selected.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD